Bug 492310 - (CVE-2009-1106) CVE-2009-1106 OpenJDK: Improper parsing of crossdomain.xml files (intended access restriction bypass) (6798948)
CVE-2009-1106 OpenJDK: Improper parsing of crossdomain.xml files (intended ac...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://sunsolve.sun.com/search/docume...
impact=moderate,source=cve,public=200...
: Security
Depends On: 492325 492326 500582 500583 506910 506911 540443
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 08:26 EDT by Jan Lieskovsky
Modified: 2010-12-20 13:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-20 13:14:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-03-26 08:26:33 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1106 to
the following vulnerability:

The Java Plug-in in Java SE Development Kit (JDK) and Java Runtime
Environment (JRE) 6 Update 12, 11, and 10 does not properly parse
crossdomain.xml files, which allows remote attackers to bypass
intended access restrictions and connect to arbitrary sites via
unknown vectors, aka CR 6798948.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1106
http://sunsolve.sun.com/search/document.do?assetkey=1-21-125137-14-1
http://sunsolve.sun.com/search/document.do?assetkey=1-66-254611-1
Comment 2 errata-xmlrpc 2009-03-26 12:03:26 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0392 https://rhn.redhat.com/errata/RHSA-2009-0392.html
Comment 4 errata-xmlrpc 2009-05-18 16:28:30 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1038 https://rhn.redhat.com/errata/RHSA-2009-1038.html
Comment 6 errata-xmlrpc 2009-08-06 17:30:43 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1198 https://rhn.redhat.com/errata/RHSA-2009-1198.html
Comment 8 errata-xmlrpc 2010-01-14 11:32:16 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html

Note You need to log in before you can comment on or make changes to this bug.